# WriteAbiFunction

## Properties

|Name | Type | Description | Notes|
|------------ | ------------- | ------------- | -------------|
|**stateMutability** | **string** |  | [default to undefined]|
|**type** | **string** |  | [default to undefined]|
|**inputs** | [**Array&lt;ParameterWithValue&gt;**](ParameterWithValue.md) |  | [default to undefined]|
|**outputs** | [**Array&lt;Parameter&gt;**](Parameter.md) |  | [optional] [default to undefined]|
|**name** | **string** |  | [optional] [default to undefined]|
|**description** | **string** |  | [optional] [default to undefined]|


## Enum: WriteAbiFunctionStateMutabilityEnum


* `Payable` (value: `'payable'`)

* `Nonpayable` (value: `'nonpayable'`)



## Enum: WriteAbiFunctionTypeEnum


* `Function` (value: `'function'`)





[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)
